Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class SingleEntryModuleLibrary

    java.lang.Object
      org.gradle.plugins.ide.idea.model.ModuleLibrary
          org.gradle.plugins.ide.idea.model.SingleEntryModuleLibrary

    class SingleEntryModuleLibrary
    extends ModuleLibrary

Single entry module library

Property Summary
`ModuleVersionIdentifier` | `moduleVersion` Module version of the library, if any.

Constructor Summary
`SingleEntryModuleLibrary(FilePath library, FilePath javadoc, FilePath source, String scope)` Creates single entry module library
`SingleEntryModuleLibrary(FilePath library, String scope)` Creates single entry module library

Method Summary
`File` | `getJavadocFile()` Returns a single javadoc jar or javadoc folder
`File` | `getLibraryFile()` Returns a single jar or class folder
`File` | `getSourceFile()` Returns a single source jar or source folder

Methods inherited from class ModuleLibrary
addToNode, equals, hashCode, toString

Property Detail

### moduleVersion

    @Nullable
    ModuleVersionIdentifier moduleVersion

  Module version of the library, if any.

Constructor Detail

### SingleEntryModuleLibrary

    SingleEntryModuleLibrary(FilePath library, FilePath javadoc, FilePath source, String scope)

  Creates single entry module library
  Parameters:
    `library` - a path to jar or class folder in idea format
    `javadoc` - a path to javadoc jar or javadoc folder
    `source` - a path to source jar or source folder
    `scope` - scope
  Returns:

### SingleEntryModuleLibrary

    SingleEntryModuleLibrary(FilePath library, String scope)

  Creates single entry module library
  Parameters:
    `library` - a path to jar or class folder in Path format
    `scope` - scope
  Returns:

Method Detail

### getJavadocFile

    File getJavadocFile()

  Returns a single javadoc jar or javadoc folder

### getLibraryFile

    File getLibraryFile()

  Returns a single jar or class folder

### getSourceFile

    File getSourceFile()

  Returns a single source jar or source folder

Gradle API 1.1-rc-1